"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _default = {
  "extends": ['@commitlint/config-conventional', '@commitlint/parse'],
  rules: {
    'header-max-length': [2, 'always', 70],
    'subject-case': [2, 'always', 'sentence-case'],
    'type-enum': [2, 'always', ['access', 'analytics', 'android', 'animation', 'arch', 'assets', 'beer', 'breaking', 'ci', 'compat', 'config', 'contrib-add', 'db', 'dep-add', 'dep-rm', 'dep-up', 'deploy', 'docker', 'docs', 'docs-code', 'downgrade', 'egg', 'experiment', 'feature', 'fix', 'fix-ci', 'flags', 'gitignore', 'hotfix', 'i18n', 'init', 'ios', 'k8s', 'license', 'lint', 'linux', 'log-add', 'log-rm', 'merge', 'mock', 'mv', 'osx', 'perf', 'poo', 'prune', 'pushpin', 'refactoring', 'release', 'responsive', 'revert', 'review', 'security', 'seed', 'seo', 'snapshot', 'style', 'test', 'texts', 'todo', 'types', 'typo', 'ui', 'update', 'ux', 'windows', 'wip']]
  },
  parserPreset: './index.js',
  parserOpts: {
    // eslint-disable-next-line prefer-named-capture-group
    headerPattern: /^((?:[\0-\t\x0B\f\x0E-\u2027\u202A-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])*?)(?:\(((?:[\0-\t\x0B\f\x0E-\u2027\u202A-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])*?)\))?!?:[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF](?:((?:[\0-\t\x0B\f\x0E-\u2027\u202A-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]))[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF])?((?:[\0-\t\x0B\f\x0E-\u2027\u202A-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])*)$/,
    headerCorrespondence: ['type', 'scope', 'emoji', 'subject'],
    // eslint-disable-next-line prefer-named-capture-group
    revertPattern: /^(revert):[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF](?:((?:[\0-\t\x0B\f\x0E-\u2027\u202A-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]))[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF])?([0-9A-Z_a-z]{7})[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]\x2D[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]((?:[\0-\t\x0B\f\x0E-\u2027\u202A-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])*?)$/,
    revertCorrespondence: ['type', 'emoji', 'hash', 'subject']
  }
};
exports["default"] = _default;
module.exports = exports.default;